APP_ENV=local
APP_DEBUG=true
# clé applicative, doit être une chaine de caractère aléatoire
APP_KEY=SomeRandomString

# url de base de l'pplication
APP_URL=http://corpus-parole.local/

# Configuration du système de log (c.f. https://laravel.com/docs/5.3/errors#configuration)
# Valeurs possibles: "single", "daily", "syslog", "errorlog"
APP_LOG="daily"


#configuration de la base de donnée
DATABASE_DRIVER=mysql
DB_HOST=localhost
DB_DATABASE=corpus
DB_USERNAME=corpus
DB_PASSWORD=secret

# configuration du cache
CACHE_DRIVER=file

# configuration memcached
CACHE_MEMCACHED_HOST=127.0.0.1
CACHE_MEMCACHED_PORT=11211

# URI de base Cocoon
CORPUSPAROLE_COCOON_RDF_BASE_URI=
# URL de moissonnage Cocoon
CORPUSPAROLE_COCOON_OAIPMH_URL=


# Configuration RDF4J
CORPUSPAROLE_RDF4J_BASE_URL=http://172.16.1.5:8080/rdf4j-server
CORPUSPAROLE_RDF4J_REPOSITORY=
CORPUSPAROLE_RDF4J_REPOSITORY_RAW=
CORPUSPAROLE_RDF4J_LEXVO_REPOSITORY=


# Configuration Elasticsearch
ELASTICSEARCH_URL=
ELASTICSEARCH_LOG_PATH='logs/elasticsearch.log'
ELASTICSEARCH_INDEX='corpus'
ELASTICSEARCH_SHARDS=1
ELASTICSEARCH_REPLICAS=1


# Configuration registre Handle
HANDLE_HOST=127.0.0.1
HANDLE_PORT=8000
HANDLE_PREFIX=12345.100

HANDLE_ADMIN_ID=CORPUS_ADMIN
HANDLE_CERT_OR_PKEY=""
HANDLE_PASSWORD=NULL
HANDLE_TITLE_PREFIX="Trésors de la parole"
HANDLE_CONTACT_EMAIL=""


# Geonames user name (cf. http://www.geonames.org/login)
GEONAMES_USERNAME="demo"

# Configuration proxy
# protocole http
# format [<scheme>://][<username>:<password>@]<IP>:<port>
HTTP_PROXY=
# protocole https
# format [<scheme>://][<username>:<password>@]<IP>:<port>
HTTPS_PROXY=
# liste de serveur (séparée par des ",") pour laquelle la configuration de proxy doit être ignoré
NO_PROXY=

### les pramètres suivant sont des paramêtre internes

# configuration du système de mail (non utilisé)
MAIL_DRIVER=smtp
MAIL_HOST=mailtrap.io
MAIL_PORT=2525
MAIL_USERNAME=null
MAIL_PASSWORD=null


HANDLE_TEST_PREFIX=12345.101

HANDLE_TEST_CERT=""
HANDLE_TEST_CERT_PASSWORD=NULL
HANDLE_TEST_CERT_ADMIN_HANDLE=""

HANDLE_TEST_RSA_KEY=""
HANDLE_TEST_RSA_PASSWORD=NULL
HANDLE_TEST_RSA_ADMIN_HANDLE=""

HANDLE_TEST_DSA_KEY=""
HANDLE_TEST_DSA_PASSWORD=NULL
HANDLE_TEST_DSA_ADMIN_HANDLE=""

# timeout par défaut pour le client HTTP EasyRDF
EASYRDF_HTTP_CLIENT_TIMEOUT=20

SESSION_DRIVER=file
QUEUE_DRIVER=sync

# URL de base pour l'ontologie Corpus de la Parole
CORPUSPAROLE_ONTOLOGY_URL=http://corpusdelaparole.culture.fr/ontology/

